.layout-wrapper {
  max-width: 1140px;
  margin: 10rem auto;
}

.table-wrapper {
  width: 75%;
  padding: 0 10px;
  margin: 0 auto;
}

.table-layout-justify {
  padding: 1.5rem;
  border-radius: 7px;
  box-shadow: 3px 3px 20px rgba(0, 0, 0, 0.3);
}

table {
  border-spacing: 0px !important;
}

.table-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.table-length-select {
  padding: 4px;
  border-radius: 3px;
}

.search-input {
  padding: 5px;
  border-radius: 3px;
}

.mytable {
  width: 100%;
}

thead > tr * {
  text-align: left;
  padding: 10px;
  padding-right: 1.5rem;
}

tbody > tr > td {
  padding: 8px 10px;
  border-top: 1px solid rgba(0, 0, 0, 0.15);
}

tbody > tr:first-child td {
  border-top: none;
}

tbody > tr > td:first-child:hover {
  cursor: pointer;
}

tbody > tr > td:first-child {
  position: relative;
}

tbody > .odd {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.023);
}

tbody > tr.odd.odd-chosen-column:hover {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.07) !important;
}

tbody > tr.odd:hover {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.035);
}

tbody > tr.even.even-chosen-column:hover {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.07) !important;
}

tbody > tr.even:hover {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.035);
}

thead > tr > th {
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}

tfoot > tr > th {
  border-top: 1px solid rgba(0, 0, 0, 0.3);
}

tfoot > tr * {
  text-align: left;
  padding: 10px 10px 6px 10px;
}

.table::after {
  display: block;
  content: "";
  clear: both;
}

.table-info {
  float: left;
}

.table-info > p {
  margin: 0;
  padding-top: 0.8rem;
}

.buttons-wrapper {
  float: right;
  padding-top: 0.8rem;
}

.buttons-wrapper a {
  padding: 0.5rem 1rem;
  margin-left: 2px;
  border-radius: 3px;
  color: #868686;
}

a.page-button {
  color: black;
}

.page-button:hover {
  background-color: #000000;
  color: white;
  cursor: pointer;
}

.chosen-button {
  border: 1px solid #000000;
  background-color: #868686 !important;
  color: black !important;
}

/* Sort element*/
.sort-field {
  position: relative;
}

.sort-field:hover {
  cursor: pointer;
}

.ascending {
  content: "▲";
  top: 0;
}

.descending {
  content: "▼";
  bottom: 0;
}

.sort-item {
  position: absolute;
  right: -15px;
  line-height: 9px;
  opacity: 0.125;
  font-size: 0.8em;
}

td.odd-chosen-column {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.054);
}

td.even-chosen-column {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.019);
}
